#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEC,0xA0,0xBF,0xF7,0x13,0xBA,0x3E,0x14,0xEA,0x81,0xC8,0x29,
		0x09,0x83,0xBB,0x5C,0xED,0x0A,0x82,0x36,0xA3,0xA6,0x4B,0xC6,
		0xCD,0x1F,0x2F,0xA0,0x90,0x0F,0x0C,0xDF,0x6B,0xE9,0x4D,0x03,
		0x71,0x3E,0x65,0x76,0x06,0x25,0x52,0x22,0x6B,0x92,0xAF,0x55,
		0x13,0xBE,0xBF,0x0F,0x19,0x95,0xBD,0xD5,0xEA,0x6B,0xE8,0x6A,
		0x11,0xE6,0xF1,0x4B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
